Mandrake Linux Security Advisory : imlib (MDKSA-2002:029)

High Nessus Plugin ID 13936


The remote Mandrake Linux host is missing one or more security updates.


Previous versions of imlib, prior to 1.9.13, would fall back to the NetPBM library which is not suitable for loading untrusted images due to various problem in it's code. The new imlib also fixes some problems with arguments passed to malloc(). These problems could allow attackers to construct images that could cause crashes or, potentially, the execution of arbitrary code when said images are loaded by a viewer that uses imlib.

Thanks to Alan Cox and Al Viro for discovering the problems.


Update the affected packages.

Plugin Details

Severity: High

ID: 13936

File Name: mandrake_MDKSA-2002-029.nasl

Version: $Revision: 1.13 $

Type: local

Published: 2004/07/31

Modified: 2013/05/31

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Temporal Score: 5.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:imlib, p-cpe:/a:mandriva:linux:imlib-cfgeditor, p-cpe:/a:mandriva:linux:imlib-devel, p-cpe:/a:mandriva:linux:libimlib1, p-cpe:/a:mandriva:linux:libimlib1-devel, cpe:/o:mandrakesoft:mandrake_linux:7.1, cpe:/o:mandrakesoft:mandrake_linux:7.2, cpe:/o:mandrakesoft:mandrake_linux:8.0, cpe:/o:mandrakesoft:mandrake_linux:8.1, cpe:/o:mandrakesoft:mandrake_linux:8.2

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2002/04/25

Reference Information

CVE: CVE-2002-0167, CVE-2002-0168

BID: 4336, 4339

MDKSA: 2002:029